﻿© Fluke Calibration, All Rights Reserved.                   MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek TDS1000/2000 Cal Steps RS-232 /5520+S6
DATE:                  2010-08-24 14:12:07
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       388
CONFIGURATION:         Fluke 5520A (S6)
=============================================================================
#
#  Procedure Author:
#        DFM, DAC, VY
#
#  Model(s) Covered:
#        TDS1000  Series
#          TDS 1001, TDS 1002, TDS 1012
#        TDS2000 Series
#          TDS 2002, TDS 2004, TDS 2012, TDS 2014, TDS 2022, TDS 2024
#
#  Compatibility:
#        MET/CAL or 5500/CAL 7.20 or later
#
#  Subprocedures:
#        Sub Incorrect Connection, Calibration Aborted
#        Sub Tek TDS1000/2000 Check Cal Status RS-232
#        Sub Audible Operator Prompt
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  CALL         Sub Audible Operator Prompt
  1.002  HEAD         START CALIBRATION
# This TARGET is here so "Repeat" will perform a new calibration.
  1.003  TARGET
  1.004  CALL         Sub Incorrect Connection, Calibration Aborted
  1.005  PORT         CAL:FACTORY

  1.006  IF           @NumChan == 2
  1.007  DISP         Connect the 5520A SCOPE OUT to one BNC T(f-f-f).
  1.007  DISP
  1.007  DISP         Connect the other sides of BNC T(f-f-f) in turn to
  1.007  DISP         UUT CH 1 and CH 2.
  1.008  DISP         The next operator intervention occurs in
  1.008  DISP         approximately 7 minutes, 40 seconds ...

  1.009  ELSE
  1.010  DISP         Connect the 5520A SCOPE OUT to one BNC T(f-f-f).
  1.010  DISP
  1.010  DISP         Connect one side of BNC T(f-f-f) to one BNC T(f-m-f).
  1.010  DISP
  1.010  DISP         Connect the other side of BNC T(f-f-f) to another
  1.010  DISP         BNC T(f-m-f).
  1.010  DISP
  1.010  DISP         Connect the other sides of two BNC T(f-m-f) in turn to
  1.010  DISP         UUT CH 1, CH 2, CH 3 and CH 4 via 4 BNC(m)-(m) cable.
  1.011  DISP         The next operator intervention occurs in
  1.011  DISP         approximately 9 minutes, 30 seconds ...
  1.012  ENDIF

# Specify the bandwidth string for head title display later.
  1.013  IF           @Bandwidth == 40E+6
  1.014  MATH         BWL = "40 MHz"
  1.015  ELSEIF       @Bandwidth == 60E+6
  1.016  MATH         BWL = "60 MHz"
  1.017  ELSEIF       @Bandwidth == 100E+6
  1.018  MATH         BWL = "100 MHz"
  1.019  ELSEIF       @Bandwidth == 200E+6
  1.020  MATH         BWL = "200 MHz"
  1.021  ENDIF

# Specify the step number
  1.022  MATH         StepNo = 1;

  1.023  DO

  1.024  IF           StepNo == 1
  1.025  HEAD         CAL STEP 1 : DCV 0.0 V
  1.026  5520         0.0V                                           S6 S

  1.027  ELSEIF       StepNo == 2
  1.028  HEAD         CAL STEP 2 : DCV -20.0 V
  1.029  5520         -20.0V                                         S6 S

  1.030  ELSEIF       StepNo == 3
  1.031  HEAD         CAL STEP 3 : DCV -2.0 V
  1.032  5520         -2.0V                                          S6 S

  1.033  ELSEIF       StepNo == 4
  1.034  HEAD         CAL STEP 4 : DCV -1.6 V
  1.035  5520         -1.6V                                          S6 S

  1.036  ELSEIF       StepNo == 5
  1.037  HEAD         CAL STEP 5 : DCV -1.2 V
  1.038  5520         -1.2V                                          S6 S

  1.039  ELSEIF       StepNo == 6
  1.040  HEAD         CAL STEP 6 : DCV -0.8 V
  1.041  5520         -0.8V                                          S6 S

  1.042  ELSEIF       StepNo == 7
  1.043  HEAD         CAL STEP 7 : DCV -0.4 V
  1.044  5520         -0.4V                                          S6 S

  1.045  ELSEIF       StepNo == 8
  1.046  HEAD         CAL STEP 8 : DCV -0.32 V
  1.047  5520         -0.32V                                         S6 S

  1.048  ELSEIF       StepNo == 9
  1.049  HEAD         CAL STEP 9 : DCV -0.2 V
  1.050  5520         -0.2V                                          S6 S

  1.051  ELSEIF       StepNo == 10
  1.052  HEAD         CAL STEP 10 : DCV -0.16 V
  1.053  5520         -0.16V                                         S6 S
  1.054  WAIT         -t 5 System Settling ...

  1.055  ELSEIF       StepNo == 11
  1.056  HEAD         CAL STEP 11 : DCV -0.08 V
  1.057  5520         -0.08V                                         S6 S

  1.058  ELSEIF       StepNo == 12
  1.059  HEAD         CAL STEP 12 : DCV -0.04 V
  1.060  5520         -0.04V                                         S6 S

  1.061  ELSEIF       StepNo == 13
  1.062  HEAD         CAL STEP 13 : DCV -0.03 V
  1.063  5520         -0.03V                                         S6 S

  1.064  ELSEIF       StepNo == 14
  1.065  HEAD         CAL STEP 14 : DCV -0.02 V
  1.066  5520         -0.02V                                         S6 S

  1.067  ELSEIF       StepNo == 15
  1.068  HEAD         CAL STEP 15 : DCV -0.015 V
  1.069  5520         -0.015V                                        S6 S

  1.070  ELSEIF       StepNo == 16
  1.071  HEAD         CAL STEP 16 : DCV 0.015 V
  1.072  5520         0.015V                                         S6 S

  1.073  ELSEIF       StepNo == 17
  1.074  HEAD         CAL STEP 17 : DCV 0.02 V
  1.075  5520         0.02V                                          S6 S

  1.076  ELSEIF       StepNo == 18
  1.077  HEAD         CAL STEP 18 : DCV 0.03 V
  1.078  5520         0.03V                                          S6 S

  1.079  ELSEIF       StepNo == 19
  1.080  HEAD         CAL STEP 19 : DCV 0.04 V
  1.081  5520         0.04V                                          S6 S

  1.082  ELSEIF       StepNo == 20
  1.083  HEAD         CAL STEP 20 : DCV 0.08 V
  1.084  5520         0.08V                                          S6 S

  1.085  ELSEIF       StepNo == 21
  1.086  HEAD         CAL STEP 21 : DCV 0.16 V
  1.087  5520         0.16V                                          S6 S

  1.088  ELSEIF       StepNo == 22
  1.089  HEAD         CAL STEP 22 : DCV 0.2 V
  1.090  5520         0.2V                                           S6 S

  1.091  ELSEIF       StepNo == 23
  1.092  HEAD         CAL STEP 23 : DCV 0.32 V
  1.093  5520         0.32V                                          S6 S

  1.094  ELSEIF       StepNo == 24
  1.095  HEAD         CAL STEP 24 : DCV 0.4 V
  1.096  5520         0.4V                                           S6 S

  1.097  ELSEIF       StepNo == 25
  1.098  HEAD         CAL STEP 25 : DCV 0.8 V
  1.099  5520         0.8V                                           S6 S

  1.100  ELSEIF       StepNo == 26
  1.101  HEAD         CAL STEP 26 : DCV 1.2 V
  1.102  5520         1.2V                                           S6 S

  1.103  ELSEIF       StepNo == 27
  1.104  HEAD         CAL STEP 27 : DCV 1.6 V
  1.105  5520         1.6V                                           S6 S

  1.106  ELSEIF       StepNo == 28
  1.107  HEAD         CAL STEP 28 : DCV 2.0 V
  1.108  5520         2.0V                                           S6 S

  1.109  ELSEIF       StepNo == 29
  1.110  HEAD         CAL STEP 29 : DCV 20.0 V
  1.111  5520         20.0V                                          S6 S

  1.112  ELSEIF       StepNo == 30
  1.113  HEAD         CAL STEP 30 : DCV 0.0 V
  1.114  5520         0.0V                                           S6 S

  1.115  ELSEIF       StepNo == 31
  1.116  5520         *                                                 S
  1.117  CALL         Sub Audible Operator Prompt
  1.118  HEAD         CAL STEP 31 : EXT TRIG DCV -5.0 V
  1.119  DISP         Connect the 5520A SCOPE OUT to UUT EXT TRIG.
  1.120  DISP         The next operator intervention occurs in
  1.120  DISP         approximately 40 seconds ...
  1.121  5520         -5.0V                                          S6 S

  1.122  ELSEIF       StepNo == 32
  1.123  HEAD         CAL STEP 32 : EXT TRIG DCV -1.0 V
  1.124  5520         -1.0V                                          S6 S

  1.125  ELSEIF       StepNo == 33
  1.126  HEAD         CAL STEP 33 : EXT TRIG DCV 1.0 V
  1.127  5520         1.0V                                           S6 S

  1.128  ELSEIF       StepNo == 34
  1.129  HEAD         CAL STEP 34 : EXT TRIG DCV 5.0 V
  1.130  5520         5.0V                                           S6 S
  1.131  ENDIF

  1.132  WAIT         -t 5 System Settling ...
  1.133  PORT         CAL:CONTINUE
  1.134  CALL         Sub Tek TDS1000/2000 Check Cal Status RS-232

  1.135  IF           @Error
  1.136  PORT         CAL:ABO
  1.137  END
  1.138  ENDIF

  1.139  MATH         StepNo = StepNo + 1
  1.140  UNTIL        StepNo > 34 || @Error

  1.141  MATH         Chan = 1

# Loop for every channel
  1.142  DO
  1.143  MATH         ChanEnd = 0
  1.144  MATH         SubNo = 1

# Loop for every sub step in this channel.
  1.145  DO
  1.146  MATH         HeadStr = "CAL STEP " & StepNo & " : " & "CH " & Chan

  1.147  IF           SubNo == 1
  1.148  5520         *                                                 S
  1.149  CALL         Sub Audible Operator Prompt
  1.150  HEAD         [V HeadStr] Leveled Sine 5 kHz, 1 Vpp
  1.151  DISP         Connect the 5520A SCOPE OUT via 50 Ohm feed through
  1.151  DISP         terminator to the UUT CH [V Chan].

  1.152  IF           Chan == 1 || Chan == 3
  1.153  DISP         The next operator intervention occurs in
  1.153  DISP         approximately 4 minutes, 40 seconds ...
  1.154  ELSE
  1.155  DISP         The next operator intervention occurs in
  1.155  DISP         approximately 3 minutes, 50 seconds ...
  1.156  ENDIF

  1.157  5520         5kH                          1Vpp           SI S6 S  L

  1.158  ELSEIF       SubNo == 2
  1.159  HEAD         [V HeadStr] Leveled Sine 1 MHz, 100 mVpp
  1.160  5520         1MH                          100mVpp        LS S6 S  L

  1.161  ELSEIF       SubNo == 3
  1.162  HEAD         [V HeadStr] Leveled Sine 1 MHz, 1 Vpp
  1.163  5520         1MH                          1Vpp           LS S6 S  L

  1.164  ELSEIF       SubNo == 4
  1.165  HEAD         [V HeadStr] Leveled Sine 50 kHz, 1 Vpp
  1.166  5520         50kH                         1Vpp           LS S6 S  L

  1.167  ELSEIF       SubNo == 5
  1.168  HEAD         [V HeadStr] Leveled Sine 20 MHz, 1 Vpp
  1.169  5520         20MH                         1Vpp           LS S6 S  L

  1.170  ELSEIF       SubNo == 6
  1.171  HEAD         [V HeadStr] Leveled Sine [V BWL], 25 mVpp
  1.172  MATH         MEM = @Bandwidth / 1E+6
  1.173  5520         MH                           25mVpp         LS S6 S  L

  1.174  ELSEIF       SubNo == 7
  1.175  HEAD         [V HeadStr] Leveled Sine [V BWL], 50 mVpp
  1.176  MATH         MEM = @Bandwidth / 1E+6
  1.177  5520         MH                           50mVpp         LS S6 S  L

  1.178  ELSEIF       SubNo == 8
  1.179  HEAD         [V HeadStr] Leveled Sine [V BWL], 100 mVpp
  1.180  MATH         MEM = @Bandwidth / 1E+6
  1.181  5520         MH                           100mVpp        LS S6 S  L

  1.182  ELSEIF       SubNo == 9
  1.183  HEAD         [V HeadStr] Leveled Sine [V BWL], 250 mVpp
  1.184  MATH         MEM = @Bandwidth / 1E+6
  1.185  5520         MH                           250mVpp        LS S6 S  L

  1.186  ELSEIF       SubNo == 10
  1.187  HEAD         [V HeadStr] Leveled Sine [V BWL], 500 mVpp
  1.188  MATH         MEM = @Bandwidth / 1E+6
  1.189  5520         MH                           500mVpp        LS S6 S  L

  1.190  ELSEIF       SubNo == 11
  1.191  HEAD         [V HeadStr] Leveled Sine [V BWL], 1 Vpp
  1.192  MATH         MEM = @Bandwidth / 1E+6
  1.193  5520         MH                           1Vpp           LS S6 S  L

  1.194  ELSEIF       SubNo == 12
  1.195  HEAD         [V HeadStr] Leveled Sine 5 kHz, 2.5 Vpp
  1.196  5520         5kH                          2.5Vpp         SI S6 S  L

  1.197  ELSEIF       SubNo == 13
  1.198  HEAD         [V HeadStr] Leveled Sine 1 MHz, 2.5 Vpp
  1.199  5520         1MH                          2.5Vpp         LS S6 S  L

  1.200  ELSEIF       SubNo == 14
  1.201  HEAD         [V HeadStr] Leveled Sine 50 kHz, 2.5 Vpp
  1.202  5520         50kH                         2.5Vpp         LS S6 S  L

  1.203  ELSEIF       SubNo == 15
  1.204  HEAD         [V HeadStr] Leveled Sine 20 MHz, 2.5 Vpp
  1.205  5520         20MH                         2.5Vpp         LS S6 S  L

  1.206  ELSEIF       SubNo == 16
  1.207  HEAD         [V HeadStr] Leveled Sine [V BWL], 2.5Vpp
  1.208  MATH         MEM = @Bandwidth / 1E+6
  1.209  5520         MH                           2.5Vpp         LS S6 S  L

  1.210  ELSEIF       SubNo == 17
  1.211  HEAD         [V HeadStr] Leveled Sine [V BWL], 5Vpp
  1.212  MATH         MEM = @Bandwidth / 1E+6
  1.213  5520         MH                           5Vpp           LS S6 S  L

  1.214  IF           Chan == 2 || Chan == 4
  1.215  MATH         ChanEnd = 1
  1.216  ENDIF

  1.217  ELSEIF       SubNo == 18 && (Chan == 1 || Chan == 3)
  1.218  HEAD         [V HeadStr] Leveled Sine [V BWL], 1.6Vpp
  1.219  MATH         MEM = @Bandwidth / 1E+6
  1.220  5520         MH                           1.6Vpp         LS S6 S  L

  1.221  ELSEIF       SubNo == 19 && (Chan == 1 || Chan == 3)
  1.222  HEAD         [V HeadStr] EDGE 1 kHz, 800mVpp
  1.223  5520         1kH                          0.5Vpp         ED S6 S  L
  1.224  MATH         ChanEnd = 1
  1.225  ENDIF

  1.226  WAIT         -t 5 System Settling ...
  1.227  PORT         CAL:CONTINUE
  1.228  CALL         Sub Tek TDS1000/2000 Check Cal Status RS-232

  1.229  IF           @Error
  1.230  PORT         CAL:ABO
  1.231  END
  1.232  ENDIF

  1.233  MATH         SubNo = SubNo + 1
  1.234  MATH         StepNo = StepNo + 1
  1.235  UNTIL        ChanEnd

  1.236  MATH         Chan = Chan + 1
  1.237  UNTIL        Chan > @NumChan

  1.238  HEAD
  1.239  5520         *                                                 S
  1.240  END
